Last modified: 2013-04-06 14:34:15 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 14831 - An IPhone mod for cologne blue php and css skin
An IPhone mod for cologne blue php and css skin
Status: RESOLVED WONTFIX
Product: MediaWiki
Classification: Unclassified
Interface (Other open bugs)
1.12.x
Macintosh All
: Normal enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
http://www.historicalwiki.org
:
Depends on:
Blocks: 46949
  Show dependency treegraph
 
Reported: 2008-07-16 08:28 UTC by Ron Packard
Modified: 2013-04-06 14:34 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Adjustments for IPhone compatibility (3.97 KB, application/x-gtar)
2008-07-16 08:28 UTC, Ron Packard
Details

Description Ron Packard 2008-07-16 08:28:34 UTC
Created attachment 5073 [details]
Adjustments for IPhone compatibility

This is a safe IPhone modification for the cologne blue skin in anticipation for eventual wider release and integration with a mainstream skin that will be developed later.

Environment variables are used to test for iphone presence and use if statements to remove unneeded menus.  Less is more, especially on a very small, mean, and sleek device like an Iphone.  Things such as complex, redundant footers, and tall headers are reduced.  Edit field box is made smaller to fit the width of the device.

A small metadata statement is placed that is required for the iphone and doesn't seem to harm any other browser.  And finally a small-device.css phone that re-skins the browser for the Wikipedia.
Comment 1 River Tarnell 2008-07-16 16:38:23 UTC
not related to the Modern skin
Comment 2 Brion Vibber 2008-07-31 00:19:13 UTC
Please post patches as unified diffs (output of 'svn diff' is ideal!) rather than tarballs if possible -- it makes them a lot easier to review. :)

Note that due to MediaWiki's caching requirements, we don't intend to support any user-agent sniffing for skin modifications.

You can however attach a stylesheet which will be recognized by the iPhone and similar devices using CSS media queries. See recent updates about handheld stylesheet options (not currently applied to Cologne Blue, which is an old-style skin). Some notes on my blog: http://leuksman.com/log/2008/07/27/handheld-css-variants/ and on wikitech-l discussion list.
Comment 3 Siebrand Mazeland 2008-08-11 13:28:42 UTC
Remove "easy, patch" keywords, as this issue needs a new version of the patch first.
Comment 4 Bugmeister Bot 2011-08-19 19:12:40 UTC
Unassigning default assignments. http://article.gmane.org/gmane.science.linguistics.wikipedia.technical/54734
Comment 5 Max Semenik 2012-05-01 15:57:10 UTC
Note that we currently have MobileFrontend which provides a mobile-specific skin which has stylesheets for various devices including iPhone. I don't think that we should add any serious mobile support to legacy desktop skins.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links